import { RouterHistory } from '@stencil/router';
export declare class SparkleResetPassword {
  history: RouterHistory;
  validationErrors: any[];
  formControls: {
    password: {
      isValid: boolean;
      value: string;
      validate: (value: any) => boolean;
    };
    confirmPassword: {
      isValid: boolean;
      value: string;
      validate: (value: any) => boolean;
    };
  };
  submitted: boolean;
  componentDidLoad(): void;
  changeFormValue(controlName: any, value: any): void;
  handleSubmit(e: any): Promise<void>;
  render(): any;
}
